<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

namespace Plesk\MigrationLibV8\SiteImport\Entity\SiteInfo;

class Application
{
    /** @var string */
    private $_type;
    /** @var string */
    private $_sourcePath;
    /** @var string */
    private $_targetPath;

    /**
     * Application constructor.
     *
     * @param $type string
     * @param $sourcePath string
     * @param $targetPath string
     */
    public function __construct($type, $sourcePath, $targetPath)
    {
        $this->_type = $type;
        $this->_sourcePath = $sourcePath;
        $this->_targetPath = $targetPath;
    }

    /**
     * @return string see \Plesk\MigrationLibV8\SiteImport\Entity\ApplicationTypes constants
     */
    public function getType()
    {
        return $this->_type;
    }

    /**
     * @return string
     */
    public function getSourcePath()
    {
        return $this->_sourcePath;
    }

    /**
     * @return string
     */
    public function getTargetPath()
    {
        return $this->_targetPath;
    }
}
